package com.zjsgfa.project.zt.mapper;

import com.zjsgfa.framework.aspectj.lang.annotation.DataSource;
import com.zjsgfa.framework.aspectj.lang.enums.DataSourceType;
import com.zjsgfa.project.zt.domain.*;
import com.zjsgfa.project.zt.domain.vo.JsgaVo;
import com.zjsgfa.project.zt.domain.vo.JswaVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@DataSource(value = DataSourceType.SLAVE)
public interface DjdcInfoMapper {

    List<DjDcInfo> getList(DjDcInfo info);

    List<Ljinfo> ljListByJh(Ljinfo info);


    List<Djjc> getDjjcList(CommonParam param);

    List<DjZqsjfx> getZqshfxList(CommonParam param);


    DjZqsjfx getJcAndCw(DjZqsjfx djZqsjfx);

    List<DjZjzhfx> getZjzhfxList(CommonParam param);


    DjZjzhfx getJshaJc(String jh, Double ksjs, Double js);


    Djjc getDjinfoByjh(String jh);

    List<Ljjw> getLjjwList(CommonParam param);


    List<DjZtfx> getDjZtfxList(CommonParam param);


    List<Jsha> getFdcsList(CommonParam param);

    List<DjZqsjfx> getZqshfxList2(CommonParam param);

    /**
     * 获取方位相同的井号
     * @param param
     * @return
     */
     List<DjZqsjfx> getjskd(CommonParam param);
    List<Zsjfx> getZsjList(CommonParam param);


    Zsjrb getZsjrbList(String jh);


    Zsjjz getZsjJz(String jh);


    Djjc selectZtsj(Djjc djjc);

    List<LjGzbj> getGzbjList(CommonParam param);

    List<JsgaVo> getJsgaList(CommonParam param);


    List<Jskd> getJskdList(CommonParam param);
    /**
     * 根据井深进行合并查询输出测斜规律
     * @param param
     * @return
     */
    List<Jskd> getJskdList2(CommonParam param);
    Jsqa jsljfzqk(CommonParam param);

    Double jsgtzjds(CommonParam param);

    List<Ljjw> getLjjwList2(CommonParam param);


    JswaVo getJswaSum(CommonParam param);

    List<Ljjw> getLjjwList3(CommonParam param);

}
